- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# MVaryingParameterList Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Geometric data cache.

MVaryingParameterArrays specify the surface component level data used by a hardware shader, allowing Maya to handle setting up the node and user interfaces to the data, the population and access of cached data, etc.

Examples:

  hlslShader.cpp.

`#include <MVaryingParameterList.h>`

List of all members.

## Public Member Functions
| MVaryingParameterList ()
| Create a new, empty list of varying parameters.
| ~MVaryingParameterList ()
| Class destructor.
void | append (const MVaryingParameter &element)
| Append a new parameter to this end of this list.
int | length () const
| Get the number of parameters in this list.
void | setLength (int n)
| Set the number of parameters in this list.
MVaryingParameter | getElement (int n) const
| Get the nth parameter in this list.
void | setElement (int n, const MVaryingParameter &p)
| Set the nth parameter in this list.
const MVaryingParameterList & | operator= (const MVaryingParameterList &other)
| Assignment operator.
## Friends
class | MPxHardwareShader Search for all occurrences

## Member Function Documentation

void append | ( | const MVaryingParameter & | element | ) |

Search for all occurrences

Append a new parameter to this end of this list.

Parameters:

  [in] | element | The new parameter to append

Examples:
  hlslShader.cpp.

int length | ( |  | ) | const

Search for all occurrences

Get the number of parameters in this list.

Returns:
  The number of parameters in this list.

void setLength | ( | int | n | ) |

Search for all occurrences

Set the number of parameters in this list.

If this is greater than the current number of parameters in the list, the caller is responsible for setting the new parameters to valid values using setElement.

Parameters:

  [in] | n | The number of parameters in this list.

MVaryingParameter getElement | ( | int | n | ) | const

Search for all occurrences

Get the nth parameter in this list.

Parameters:

  [in] | n | The index of the element to return

Returns:
  The nth parameter in the list

void setElement | ( | int | n,
|  | const MVaryingParameter & | p
| ) |  |

Search for all occurrences

Set the nth parameter in this list.

Parameters:

  [in] | n | The index of the element to set
  [in] | p | The value to set

Returns:
  The nth parameter in the list

const MVaryingParameterList & operator= | ( | const MVaryingParameterList & | src | ) |

Assignment operator.

Parameters:

  [in] | src | MVaryingParameterList object to copy from.

MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList
MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList MVaryingParameterList